## polkit-agent-tde 14.1.0

=== debian/changelog ===
polkit-agent-tde (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#polkit-agent-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

polkit-agent-tde (0.99.1-2) unstable; urgency=low

  * Port to TDE and package renaming
  * Initial release for TDE

 -- Michele Calgaro <michele.calgaro@yahoo.it>  Sun, 19 Dec 2021 18:12:00 +0900

polkit-kde-1 (0.99.1-1) unstable; urgency=low

  * Team upload.

  [ Felix Geyer ]
  * New upstream release.
    - Drop fix_dialog_focus.diff, applied upstream.
    - Remove non-functional checkbox "Remember password". (Closes: #691104)
  * Remove obsolete /etc/xdg/autostart/polkit-kde-authentication-agent-1.desktop
    on upgrade. (Closes: #645440)
  * Bump Standards-Version to 3.9.4, no changes needed.

  [ Pino Toscano ]
  * The rebuild changes the tdebase-runtime dependency to kde-runtime.
    (Closes: #716849)
  * Update Vcs-* headers

 -- Felix Geyer <fgeyer@debian.org>  Mon, 12 Aug 2013 11:58:57 +0200

polkit-kde-1 (0.99.0-3) unstable; urgency=low

  [ Scott Kitterman ]
  * Add debian/patches/fix_dialog_focus.diff from Kubuntu
    - Prevents the auth dialog from popping up in the background where it can't
      be seen

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 23 Jun 2011 11:38:30 +0300

polkit-kde-1 (0.99.0-2) unstable; urgency=low

  [ Modestas Vainius ]
  * Bump Standards-Version to 3.9.2: no changes needed.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 26 May 2011 00:28:45 +0300

polkit-kde-1 (0.99.0-1) experimental; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Add Vcs fields to debian/control.
  * Switch to dhmk based debian-qt-kde.mk.

  [ José Manuel Santamaría Lema ]
  * Bump Standards-Version to 3.9.1, no changes needed.
  * Bump libpolkit-qt-1-dev build depend to 0.99.0.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 23 Mar 2011 01:30:52 +0200

polkit-kde-1 (0.95.1-2) unstable; urgency=low

  * Update debian/control: add policykit-1 dependency.

 -- Fathi Boudra <fabo@debian.org>  Mon, 22 Mar 2010 09:08:17 +0100

polkit-kde-1 (0.95.1-1) unstable; urgency=low

  * Initial release. (Closes: #571531)

 -- Fathi Boudra <fabo@debian.org>  Thu, 25 Feb 2010 20:43:18 +0100

## polkit-agent-tde 14.1.5

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


#### general package setup

project( polkit-agent-tde )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all" ON )
option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )


##### other data ################################

tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== src/CMakeLists.txt ===
#################################################
#
#  (C) 2021 Michele Calgaro
#  Michele (DOT) Calgaro (AT) yahoo.it
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_import( polkit-tqt )

include_directories(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${POLKIT_TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### autostart file #####

tde_create_translated_desktop(
  SOURCE polkit-agent-tde.desktop
  DESTINATION ${AUTOSTART_INSTALL_DIR} )


##### executables #####

tde_add_executable( polkit-agent-tde AUTOMOC
  SOURCES AuthDialogWidget.ui AuthDetailsWidget.ui AuthDialog.h AuthDialog.cpp
          polkit-listener.h polkit-listener.cpp polkit-agent-tde.h polkit-agent-tde.cpp main.cpp
  LINK tdecore-shared tdeui-shared polkit-tqt-agent-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

## polkit-agent-tde 14.1.1

=== debian/changelog ===
polkit-agent-tde (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#polkit-agent-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 21 Oct 2023 23:41:30 +0200

=== debian/control ===
Source: polkit-agent-tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libpolkit-tqt-dev
Standards-Version: 3.9.4
Section: libs

Package: polkit-agent-tde
Architecture: any
Provides: polkit-1-auth-agent
Replaces: tde-ubuntu-integration
Breaks: tde-ubuntu-integration
Depends: ${shlibs:Depends}, ${misc:Depends}, policykit-1
Conflicts: tde-ubuntu-integration
Description: TDE dialogs for PolicyKit
 PolicyKit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 .
 It is a framework for centralizing the decision making process with respect to
 granting access to privileged operations for unprivileged (desktop) applications.
 .
 PolicyKit-agent-tde provides a D-Bus session bus service that is used to
 bring up authentication dialogs used for obtaining privileges.

## polkit-agent-tde 14.1.2

=== debian/changelog ===
polkit-agent-tde (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#polkit-agent-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 19 Apr 2024 01:24:50 +0200

## polkit-agent-tde 14.1.3

=== debian/changelog ===
polkit-agent-tde (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#polkit-agent-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 18 Jul 2024 09:27:41 +0200

## polkit-agent-tde 14.1.4

=== debian/changelog ===
polkit-agent-tde (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#polkit-agent-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## polkit-agent-tde 14.1.5~pre1

=== debian/changelog ===
polkit-agent-tde (4:14.1.5~pre1-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 4d5c00a73b93a92029e1c1985fd66f346eac86b8
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#polkit-agent-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## polkit-agent-tde 14.1.5

=== debian/changelog ===
polkit-agent-tde (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#polkit-agent-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## polkit-agent-tde 14.1.6~pre0

=== debian/changelog ===
polkit-agent-tde (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 4d5c00a73b93a92029e1c1985fd66f346eac86b8
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#polkit-agent-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## polkit-agent-tde 14.1.6~pre1

=== debian/changelog ===
polkit-agent-tde (4:14.1.6~pre1-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for 9eb4d7cdc7158dcb14932500f0abca56938fb66f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#polkit-agent-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 28 Feb 2026 09:48:00 +0100

polkit-agent-tde (4:14.1.6~pre0-0) forky; urgency=low

  * The epoch change is for historical reasons from the KDE3 era.

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Feb 2026 14:55:40 +0100

## polkit-agent-tde 14.2.0~pre25

=== debian/changelog ===
polkit-agent-tde (4:14.2.0~pre25-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for e22b0d6c24f15c76ca99a8a659f0a43c767a8a92
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#polkit-agent-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## polkit-agent-tde 14.2.0~pre26

=== debian/changelog ===
polkit-agent-tde (4:14.2.0~pre26-0raspbian13.0.0+8) raspbian-trixie; urgency=low

  * Automated git build for 83d0ddf399e1c1cac316655e1cfebb559df244c5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#polkit-agent-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Feb 2026 15:23:15 +0100

=== debian/control ===
Source: polkit-agent-tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: cdbs, tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libpolkit-tqt-dev
Standards-Version: 3.9.4
Section: libs

Package: polkit-agent-tde
Architecture: any
Provides: polkit-1-auth-agent
Replaces: tde-ubuntu-integration
Breaks: tde-ubuntu-integration
Depends: ${shlibs:Depends}, ${misc:Depends}, polkitd | policykit-1
Conflicts: tde-ubuntu-integration
Description: TDE dialogs for PolicyKit
 PolicyKit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 .
 It is a framework for centralizing the decision making process with respect to
 granting access to privileged operations for unprivileged (desktop)
 applications.
 .
 PolicyKit-agent-tde provides a D-Bus session bus service that is used to
 bring up authentication dialogs used for obtaining privileges.
